JapaneseCompletionFilter.Mode (Lucene 10.5.1 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja, class: JapaneseCompletionFilter, enum: Mode

Package org.apache.lucene.analysis.ja

# Enum Class JapaneseCompletionFilter.Mode

java.lang.Object
java.lang.Enum<JapaneseCompletionFilter.Mode>
org.apache.lucene.analysis.ja.JapaneseCompletionFilter.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<JapaneseCompletionFilter.Mode>`, `Constable`

Enclosing class:
  `JapaneseCompletionFilter`

public static enum JapaneseCompletionFilter.Mode extends Enum<JapaneseCompletionFilter.Mode>
Completion mode

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INDEX`
  Simple romanization.
  `QUERY`
  Input Method aware romanization.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JapaneseCompletionFilter.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JapaneseCompletionFilter.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INDEX

    public static final JapaneseCompletionFilter.Mode INDEX
    Simple romanization. Expected to be used when indexing.

  - ### QUERY

    public static final JapaneseCompletionFilter.Mode QUERY
    Input Method aware romanization. Expected to be used when querying.

- ## Method Details

  - ### values

    public static JapaneseCompletionFilter.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JapaneseCompletionFilter.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null